#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSClist.h>
extern WSClist* newlist_001;
void btnep1(WSCbase* object){
static int count = 1;
  WSCstring str;
  str << "項目:" << count;
  newlist_001->addItem(str);

  if (count % 2 == 0){
    //2,4,6..番目において、
    //WSNiconPixmap プロパティとは別にアイコン指定してみる。
    //リストから項目表示に使われるラベルを取得。
    //-1 は最後の項目を意味する。
    WSCbase* lb = newlist_001->getLabel(-1);
    lb->setProperty(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/bi16.xpm");
  }
  count++;
}
static WSCfunctionRegister  op("btnep1",(void*)btnep1);
